LibreOffice: DataSettings Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
DataSettings Service Referencepublished

extends the com::sun::star::sdbcx::Table with additional display information, sorting and filtering criteria. More...

Inheritance diagram for DataSettings:

## Public Attributes
string | Filter
| additional filter for the data object.
boolean | ApplyFilter
| indicates whether the filter should be applied or not, default is `FALSE`.
string | Order
| is an additional sort order definition.
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes for data displaying.
long | RowHeight
| specifies the height of a data row.
com::sun::star::util::Color | TextColor
| specifies the text color (RGB) for displaying text.
string | HavingClause
| additional having clause for the data object.
string | GroupBy
| additional group by for the data object.

## Detailed Description

extends the com::sun::star::sdbcx::Table with additional display information, sorting and filtering criteria.

## Member Data Documentation

## ◆ ApplyFilter

boolean ApplyFilter
| property

indicates whether the filter should be applied or not, default is `FALSE`.

## ◆ Filter

string Filter
| property

additional filter for the data object.

## ◆ FontDescriptor

com::sun::star::awt::FontDescriptor FontDescriptor
| property

specifies the font attributes for data displaying.

## ◆ GroupBy

string GroupBy
| optionalproperty

additional group by for the data object.

## ◆ HavingClause

string HavingClause
| optionalproperty

additional having clause for the data object.

## ◆ Order

string Order
| property

is an additional sort order definition.

## ◆ RowHeight

long RowHeight
| property

specifies the height of a data row.

## ◆ TextColor

com::sun::star::util::Color TextColor
| property

specifies the text color (RGB) for displaying text.

The documentation for this service was generated from the following file:

- com/sun/star/sdb/DataSettings.idl